# route inheritance flags test scenario

## Topology

    B---A---C
        |
        D

## Steps

1. start NFD on A,B,C,D
2. set multicast strategy for root namespace on A
3. run traffic generator server on B,C,D each with these prefixes
    * ndn:/A/P
    * ndn:/A/B/C/Q
    * ndn:/D/R
    * ndn:/S
4. add routes on A
    * ndn:/ , nexthop=hostB, CHILD\_INHERIT=yes, CAPTURE=no
    * ndn:/ , nexthop=hostC, CHILD\_INHERIT=no, CAPTURE=no
    * ndn:/A , nexthop=hostB, CHILD\_INHERIT=yes, CAPTURE=no
    * ndn:/A/B/C , nexthop=hostD, CHILD\_INHERIT=yes, CAPTURE=no
    * ndn:/D , nexthop=hostC, CHILD\_INHERIT=yes, CAPTURE=yes
    * ndn:/D , nexthop=hostD, CHILD\_INHERIT=yes, CAPTURE=no
5. run traffic generator client on A to send 20 Interests to each of:
    * ndn:/A/P
    * ndn:/A/B/C/Q
    * ndn:/D/R
    * ndn:/S
6. stop traffic generator server on B,C,D
7. in traffic generator server reports, verify the number of served
   Interests of each traffic pattern, fail the test case if any condition is violated
    * traffic generator server on B
        * ndn:/A/P , >=18
        * ndn:/A/B/C/Q , >=18
        * ndn:/D/R , =0
        * ndn:/S , >=18
    * traffic generator server on C
        * ndn:/A/P , =0
        * ndn:/A/B/C/Q , =0
        * ndn:/D/R , >=18
        * ndn:/S , >=18
    * traffic generator server on D
        * ndn:/A/P , =0
        * ndn:/A/B/C/Q , >=18
        * ndn:/D/R , >=18
        * ndn:/S , =0
